Bug 971839 - JGroups Channel not closed after the channel is cleaned up
Summary: JGroups Channel not closed after the channel is cleaned up
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: HornetQ (Show other bugs)
(Show other bugs)
Version: 6.1.0
Hardware: All All
medium
medium
Target Milestone: ER7
: EAP 6.1.1
Assignee: Clebert Suconic
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 11:40 UTC by Yong Hao Gao
Modified: 2013-09-16 20:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:29:22 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HORNETQ-1223 Major Closed JGroups Channel not closed after the channel is cleaned up 2014-06-19 07:23:59 UTC

Description Yong Hao Gao 2013-06-07 11:40:55 UTC
Description of problem:

The jgroups channel.close() should be called after the channel is no longer used. See:
org.hornetq.api.core.JGroupsBroadcastGroupConfiguration.JGroupsBroadcastEndpoint.JChannelManager.closeChannel(ChannelKey<?>, String, JChannel)
The closing of channel will clean up threads created by jgroups. If it is not closed, those threads will linger and cause thread leak error in test (see DiscoveryTest)

Version-Release number of selected component (if applicable):


How reproducible:

Run DiscoveryTest

Steps to Reproduce:
1. If you run DiscoveryTest you'll get thread leak failure.

Actual results:
test failure

Expected results:
test pass

Additional info:

Comment 1 JBoss JIRA Server 2013-06-20 20:42:57 UTC
Clebert Suconic <clebert.suconic@jboss.com> updated the status of jira HORNETQ-1223 to Closed

Comment 3 Clebert Suconic 2013-08-20 16:10:46 UTC
this only affected our testcases... not an issue on production, hence no need to document it on release notes

Comment 4 Miroslav Novak 2013-08-22 11:44:55 UTC
BZ is in incorrect state. Fix for this issue is present in EAP 6.1.1.ER7(HQ 2.3.5.Final) 

Verified using provided test in EAP 6.1.1.ER7.


Note You need to log in before you can comment on or make changes to this bug.